#WordPress peeps - what would make MP6 un-installable / un-upgradable - is that deliberate - or just me?